### robocode

# Class MouseDraggedEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.MouseEvent`
    - - `robocode.MouseDraggedEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class MouseDraggedEvent`
`extends MouseEvent`

A MouseDraggedEvent is sent to `onMouseDragged()` when the mouse is dragged inside the battle view.

Author:
  Pavel Savara (original)

Since:
  1.6.1

See Also:
  `MouseClickedEvent`, `MousePressedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MouseWheelMovedEvent`

  ## Constructor Summary

  `MouseDraggedEvent(MouseEvent source)`
    Called by the game to create a new MouseDraggedEvent.

  ## Method Summary

  ### Methods inherited from class robocode.MouseEvent

  `getSourceEvent`

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### MouseDraggedEvent

    public MouseDraggedEvent(MouseEvent source)

> Called by the game to create a new MouseDraggedEvent.
> Parameters:
>   `source` - the source mouse event originating from the AWT.